%define upver       0.8.6
%define subver      7

Name:               qt-fsarchiver
Version:            %{upver}.%{subver}
%define subrel      1
Release:            %mkrel 4
Summary:            Qt GUI for fsarchiver
Group:              Archiving/Backup
License:            GPLv2+ and GPLv3+
URL:                https://qt-fsarchiver.sourceforge.io/
Source0:            https://sourceforge.net/projects/qt-fsarchiver/files/source/qt-fsarchiver/%{name}-%{upver}-%{subver}.tar.gz
Source1:            org.fsarchiver.qt5.policy
Source2:            qt-fsarchiver.wrapper

BuildRequires:      rpm_macro(qmake_qt5)
BuildRequires:      qttools5
BuildRequires:      pkgconfig(Qt5Core)
BuildRequires:      pkgconfig(Qt5Gui)
BuildRequires:      pkgconfig(Qt5Widgets)
BuildRequires:      pkgconfig(ext2fs)
BuildRequires:      pkgconfig(uuid)
BuildRequires:      pkgconfig(blkid)
BuildRequires:      e2fsprogs
BuildRequires:      pkgconfig(libgcrypt)
BuildRequires:      pkgconfig(zlib)
BuildRequires:      pkgconfig(bzip2)
BuildRequires:      pkgconfig(libzstd)
BuildRequires:      pkgconfig(lzo2)
BuildRequires:      pkgconfig(liblzma)

Requires:           qt-fsarchiver-terminal

Obsoletes:          qt5-fsarchiver < 0.8.5.1-4
Provides:           qt5-fsarchiver = %{version}-%{release}

Requires:           polkit-agent
Requires:           ccrypt

Recommends:         gdisk
Recommends:         sshfs-fuse
Recommends:         sshpass
Recommends:         nmap
Recommends:         samba
Recommends:         samba-client
Recommends:         nfs-utils
Recommends:         xfsprogs

%description
qt-fsarchiver is a GUI for the program fsarchiver to save/restore partitions,
folders and MBR/GPT. Clone from harddisk and partitions is possible.

%prep
%autosetup -n %{name} -p1

cat > README.urpmi <<EOF
Important: This application needs that you have sudo configured for your user.
EOF

%build
%qmake_qt5
%qmake_build

%install
%qmake_install

#Install our desktop file.
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Qt-Fsarchiver
Name[tr]=Qt-Fsarchiver
Comment=File-system backup/deployment tool
Comment[fr]=Outil de sauvegarde/déploiement de système de fichiers
Comment[tr]=Dosya sistemi yedekleme/yükleme aracı
Exec=%{_sbindir}/%{name}
Icon=%{_iconsdir}/harddrive.png
Terminal=false
Type=Application
StartupNotify=true
Categories=System;Qt;Archiving;Filesystem;
EOF

# remove pre-compiled binaries
rm -rf %{buildroot}%{_sbindir}/ccguess
rm -rf %{buildroot}%{_sbindir}/de

%files
%doc README.urpmi
%{_sbindir}/%{name}
%{_sbindir}/%{name}.sh
%{_datadir}/applications/%{name}.desktop
%{_docdir}/%{name}/
%{_datadir}/qt5/translations/%{name}*.qm
%{_datadir}/pixmaps/qt-fsarchiver.png


%changelog
* Tue Sep 05 2023 wally <wally> 0.8.6.7-4.1.mga9
+ Revision: 1984407
- remove unneeded fsarchiver requires as bundled fsarchiver is used via qt-fsarchiver-terminal (mga#31071)
- update description to distinct from fsarchiver

* Fri Nov 04 2022 papoteur <papoteur> 0.8.6.7-4.mga9
+ Revision: 1902531
- use sbin instead of bin as path for executable in .desktop file

* Fri Apr 15 2022 papoteur <papoteur> 0.8.6.7-3.mga9
+ Revision: 1850442
- Remove polkit usage (mga#1850442)
- add warning that sudo is needed
- Update to 0.8.7. Add requires for qt-fsarchiver-terminal
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Apr 16 2021 daviddavid <daviddavid> 0.8.5.21-1.mga9
+ Revision: 1716097
- new version: 0.8.5.21

* Thu Dec 17 2020 umeabot <umeabot> 0.8.5.18-3.mga8
+ Revision: 1659558
- Rebuild for new Qt5

* Wed Jul 29 2020 daviddavid <daviddavid> 0.8.5.18-2.mga8
+ Revision: 1609577
- remove pre-compiled binaries

* Sat Jul 25 2020 daviddavid <daviddavid> 0.8.5.18-1.mga8
+ Revision: 1608889
- new version: 0.8.5.18
- project was renamed as qt-fsarchiver (qt4-fsarchiver and qt5-fsarchiver is no longer supported)

* Sat Jul 25 2020 daviddavid <daviddavid> 0.8.5.1-3.mga8
+ Revision: 1608884
- workaround gcc 10 build issue

* Tue Feb 18 2020 umeabot <umeabot> 0.8.5.1-2.mga8
+ Revision: 1538118
- Mageia 8 Mass Rebuild

* Thu Nov 14 2019 daviddavid <daviddavid> 0.8.5.1-1.mga8
+ Revision: 1459936
- new version: 0.8.5.1

* Mon Apr 01 2019 umeabot <umeabot> 0.8.2.0-4.mga7
+ Revision: 1384288
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.8.2.0-3.mga7
+ Revision: 1300688
- Mageia 7 Mass Rebuild

* Tue Feb 20 2018 daviddavid <daviddavid> 0.8.2.0-2.mga7
+ Revision: 1203536
- add patch to replace <attr/xattr.h> with <sys/xattr.h>

* Tue Jan 02 2018 tarakbumba <tarakbumba> 0.8.2.0-1.mga7
+ Revision: 1189135
- Updated to 0.8.2-0 version

* Mon May 01 2017 tarakbumba <tarakbumba> 0.8.1.1-1.mga6
+ Revision: 1098189
- Update to 0.8.1.1 version
- Update to 0.8.1-0 version

* Sun Jan 08 2017 tarakbumba <tarakbumba> 0.8.0.5-1.mga6
+ Revision: 1080592
- Update package with qt5 and latest 0.8.0-5 version
- New release 0.8.0-5
- Rename depracated package to its qt5 version

* Sat Jun 25 2016 daviddavid <daviddavid> 0.6.19.18-3.mga6
+ Revision: 1037650
- add patch to fix build
  * taken from https://github.com/fdupoux/fsarchiver/commit/b07502ce

* Tue May 10 2016 tarakbumba <tarakbumba> 0.6.19.18-2.mga6
+ Revision: 1012204
- Update to 0.6.19-18 version
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Mon Dec 07 2015 tarakbumba <tarakbumba> 0.6.19.16-1.mga6
+ Revision: 908704
- Update to 0.6.19.16 version

* Sat Oct 10 2015 tarakbumba <tarakbumba> 0.6.19.15-1.mga6
+ Revision: 888674
-Fix files list
- Drop unneeded patch0
- Update to 0.6.19-15 version

* Mon Sep 14 2015 fwang <fwang> 0.6.19.7-4.mga6
+ Revision: 879193
- rebuild for new libgcrypt

* Wed Oct 15 2014 umeabot <umeabot> 0.6.19.7-3.mga5
+ Revision: 750082
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.19.7-2.mga5
+ Revision: 688529
- Mageia 5 Mass Rebuild
+ tarakbumba <tarakbumba>
- Update to 0.6.19.7 version

* Mon Aug 25 2014 tarakbumba <tarakbumba> 0.6.19.6-1.mga5
+ Revision: 667338
- Update to 0.6.19.6 version

* Fri Jun 27 2014 tarakbumba <tarakbumba> 0.6.19.5-1.mga5
+ Revision: 640434
- Update to 0.6.19.5 version

* Sat Jun 07 2014 tarakbumba <tarakbumba> 0.6.19.4-1.mga5
+ Revision: 634594
- Add wrapper script to avoid double forking issues
- Update to 0.6.19.4 version

* Tue Mar 25 2014 tarakbumba <tarakbumba> 0.6.19.1-1.mga5
+ Revision: 608652
- imported package qt4-fsarchiver

